package dk.itu.oop.lecture3;

public class FlightSchedule {
	public final String flightNo;
	public final String departing, arriving; 
	public final String departureTime, arrivalTime;
	public double monkeyClassPrice;
	public final AirPlane airPlane;
	public final Flight[] flights = new Flight[365];
	public FlightSchedule
		(String fn, String d, String a, String dt, String at, AirPlane ap){
		flightNo = fn; 
		departing = d; arriving = a;
		departureTime = dt; arrivalTime = at;
		airPlane = ap;	
	}

	/*public Time flightTime(){
		return arrivalTime.span(departureTime);
	}*/

	public class Flight {
		public final String departureDate;
		public boolean[] seats = new  boolean[airPlane.noSeats];
		public String actualDeparture, actualArrival;
		public Flight(String date){
			departureDate = date;
			actualDeparture = departureTime;
			actualArrival = arrivalTime;
		}
		/*
		Time delayAtArrival(){
			return actualArrival.span(arriving);
		}*/
	}
}